Index: /extensions/AMenuManager/js/amm_blocks.js
===================================================================
--- /extensions/AMenuManager/js/amm_blocks.js	(revision 8962)
+++ /extensions/AMenuManager/js/amm_blocks.js	(revision 8962)
@@ -0,0 +1,275 @@
+
+function coreBlocks(opt, keys, token, initValues)
+{
+  var options = {
+          ajaxUrl:'plugins/AMenuManager/amm_ajax.php'
+        },
+      translatedKeys= {
+          g002_ok:'g002_ok',
+          g002_cancel:'g002_cancel',
+          g002_loading: 'g002_loading',
+          g002_editoflink : 'g002_editoflink',
+          g002_createoflink : 'g002_createoflink'
+        },
+      properties = {
+          id:'',
+          token:token,
+          resetValues:
+            {
+              'piwigo':[],
+              'cancel':[]
+            }
+        },
+
+  /**
+   * display tab content
+   */
+  displayTabContent = function (tab)
+    {
+      switch(tab)
+      {
+        case 'position':
+          $('#containerPos').css('display', 'block');
+          $('#containerMenu').css('display', 'none');
+          break;
+        case 'blocksContent':
+          $('#containerPos').css('display', 'none');
+          $('#containerMenu').css('display', 'block');
+          break;
+      }
+    }
+
+  /**
+   * reset values
+   * @param String mode : 'piwigo' (piwigo default value) or 'cancel' (restore previous settings)
+   */
+  reset = function(mode)
+    {
+      $('#iConfigState').hide();
+
+      for(var i=0;i<properties.resetValues[mode].length;i++)
+      {
+        var access=resetValues[mode][i].visibility.split('/'),
+            accessUsers=access[0].split(','),
+            accessGroup=access[1].split(',');
+
+        $("#menu_"+resetValues[mode][i].block).get(0).appendChild($("#i"+resetValues[mode][i].id).get(0));
+
+        $("#i"+resetValues[mode][i].id).find('input.visibilityUser').each(
+          function ()
+          {
+            $(this).attr('checked', $.inArray($(this).attr('value'), accessUsers)==-1);
+          }
+        );
+
+        $("#i"+resetValues[mode][i].id).find('input.visibilityGroup').each(
+          function ()
+          {
+            $(this).attr('checked', $.inArray($(this).attr('value'), accessGroup)==-1);
+          }
+        );
+      }
+    },
+
+  /**
+   * submit config
+   */
+  submit = function ()
+    {
+      if(!checkValidity()) return(false);
+
+      displayProcessing(true);
+
+      // build datas
+      var datas = {
+            menuItems: {},
+            blocks: {}
+          },
+          order=0;
+
+      $('#containerMenu ul.categoryUl li.categoryLi').each(
+        function ()
+        {
+          var visibilityUser=[]
+              visibilityGroup=[];
+
+          $(this).find('input.visibilityUser:not(:checked)').each(
+            function ()
+            {
+              visibilityUser.push($(this).attr('value'));
+            }
+          );
+          $(this).find('input.visibilityGroup:not(:checked)').each(
+            function ()
+            {
+              visibilityGroup.push($(this).attr('value'));
+            }
+          );
+
+          datas.menuItems[this.id.substr(1)]={
+            order:order,
+            container:$(this).parent().parent().attr('id').substr(14),
+            visibilityUser:visibilityUser,
+            visibilityGroup:visibilityGroup
+          };
+          order++;
+        }
+      );
+
+      order=0;
+      $('ul.menuUl li.menuListItem').each(
+        function ()
+        {
+          var id=$(this).attr('blockid'),
+              visibilityUser=$(this).find('div.menuListUsers').inputList('value'),
+              visibilityGroup=$(this).find('div.menuListGroups').inputList('value');
+
+          datas.blocks[id]={
+            id:id,
+            order:order,
+            users:visibilityUser,
+            groups:visibilityGroup
+          };
+
+          order++;
+        }
+      );
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.coreBlocks.setConfig", token:properties.token, datas:datas },
+          success:
+            function(msg)
+            {
+              displayProcessing(false);
+
+              returned=msg.split('!');
+
+              if(returned[0]=='OK')
+              {
+                properties.resetValues.cancel=[];
+                for(var id in datas.items)
+                {
+                  properties.resetValues.cancel.push(
+                    {
+                      id:id,
+                      block:datas.items[id].container,
+                      order:datas.items[id].order,
+                      visibility:datas.items[id].visibility
+                    }
+                  );
+                }
+
+                $('#iConfigState')
+                  .html(returned[1])
+                  .removeClass('errors')
+                  .addClass('infos')
+                  .css('display', 'block');
+              }
+              else
+              {
+                $('#iConfigState')
+                  .html(returned[1])
+                  .removeClass('infos')
+                  .addClass('errors')
+                  .css('display', 'block');
+              }
+            }
+        }
+      );
+    },
+
+  /**
+   * check validity of form
+   */
+  checkValidity = function ()
+    {
+      $('.error').removeClass('error');
+      ok=true;
+      return(ok);
+    },
+
+  /**
+   * display or hide the processing flower
+   */
+  displayProcessing = function (visible)
+    {
+      if(visible)
+      {
+        $('#iBDProcessing').css("display", "block");
+      }
+      else
+      {
+        $('#iBDProcessing').css("display", "none");
+      }
+    },
+
+  init = function (initValues)
+    {
+      properties.resetValues=initValues.resetValues;
+
+      $("#containerMenu").sortable(
+        {
+          connectWith: '.connectedSortable',
+          cursor: 'move',
+          opacity:0.6,
+          items: 'li:not(.menuItemDisabled)',
+          tolerance:'pointer',
+          start: function ()
+            {
+              $('#iConfigState').hide();
+            }
+        }
+      );
+
+      $('#containerMenu ul.categoryUl li.categoryLi img.visibilitySwitch').bind('click',
+        function ()
+        {
+          $('#'+$(this).parent().parent().attr('id')+'_visibility').toggle();
+          $('#iConfigState').hide();
+        }
+      );
+
+      $("ul.menuUl").sortable(
+        {
+          connectWith: '.connectedSortable',
+          axis: "y",
+          cursor: 'move',
+          opacity:0.6,
+          items: 'li.connectedSortable',
+          tolerance:'pointer',
+          start: function ()
+            {
+              $('#iConfigState').hide();
+            }
+        }
+      );
+
+      $('ul.menuUl li div.menuListUsers, ul.menuUl li div.menuListGroups').inputList(
+        {
+          listMaxHeight:300,
+          multiple:true,
+          popupMode:'mouseout',
+          returnMode:'notSelected',
+          change: function ()
+            {
+              $('#iConfigState').hide();
+            }
+        }
+      ).inputList('value', ':invert');
+
+
+      displayTabContent(initValues.tab);
+    };
+
+  this.reset = function (mode) { reset(mode); };
+  this.submit = function () { submit(); };
+  this.displayTabContent = function (tab) { displayTabContent(tab); };
+
+  init(initValues);
+}
+
+
Index: /extensions/AMenuManager/js/amm_links.js
===================================================================
--- /extensions/AMenuManager/js/amm_links.js	(revision 8962)
+++ /extensions/AMenuManager/js/amm_links.js	(revision 8962)
@@ -0,0 +1,366 @@
+/**
+ * userLinksManage
+ *
+ * release 1.0.0
+ */
+function userLinksManage (opt, keys, token)
+{
+  var options = {
+          ajaxUrl:'plugins/AMenuManager/amm_ajax.php'
+        },
+      translatedKeys= {
+          g002_ok:'g002_ok',
+          g002_cancel:'g002_cancel',
+          g002_loading: 'g002_loading',
+          g002_editoflink : 'g002_editoflink',
+          g002_createoflink : 'g002_createoflink'
+        },
+      properties = {
+          id:'',
+          token:token
+        },
+
+  /**
+   * load links list
+   */
+  load = function ()
+    {
+      $("#iList table.littlefont").sortable('destroy');
+      $('#iList').html("<br>"+translatedKeys.g002_loading+"<br><img src='./plugins/GrumPluginClasses/icons/processing.gif'>");
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.links.list" },
+          success:
+            function(msg)
+            {
+              $("#iList").html(msg);
+              $('#iListOrderButtons').css("display", 'none');
+
+              $("#iList").sortable(
+                {
+                  connectWith: '.connectedSortable',
+                  axis: "y",
+                  cursor: 'move',
+                  opacity:0.6,
+                  items: 'li',
+                  tolerance:'pointer',
+                  update: function () {  $('#iListOrderButtons').css("display", 'block'); }
+                }
+              );
+            }
+        }
+      );
+    },
+
+  /**
+   * edit or create a new link
+   *
+   * @param String linkId : if empty, assume to create a new link
+   */
+  edit = function (linkId)
+    {
+      properties.id=linkId;
+
+      $('#iDialogEdit')
+        .dialog('option', 'title', (linkId=='')?translatedKeys.g002_createoflink:translatedKeys.g002_editoflink)
+        .dialog("open");
+    },
+
+  /**
+   * remove a link
+   *
+   * @param String linkId : link to remove
+   */
+  remove = function (linkId)
+    {
+      properties.id=linkId;
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.links.delete", id:properties.id, token:properties.token },
+          success:
+            function(msg)
+            {
+              load();
+            }
+        }
+      );
+    },
+
+  /**
+   * check validity of form
+   */
+  checkValidity = function ()
+    {
+      $('.error').removeClass('error');
+      ok=true;
+
+      if($('#iamm_label').inputText('value')=='')
+      {
+        $('#iamm_label').inputText('isValid', false);
+        ok=false;
+      }
+
+      if($('#iamm_url').inputText('value')=='')
+      {
+        $('#iamm_url').inputText('isValid', false);
+        ok=false;
+      }
+
+      return(ok);
+    },
+
+
+  /**
+   * update values of the dialog box
+   *
+   * @param String items : json string ; if empty assume to reset all fields
+   *                       with default values
+   */
+  updateDialog = function (items)
+    {
+      if(items=='')
+      {
+        $('#iamm_label').inputText('value', '');
+        $('#iamm_url').inputText('value', '');
+        $('#iamm_icon').inputList('value', ':first');
+        $('#iamm_mode').inputList('value', ':first');
+        $('#iamm_visible').inputRadio('value', 'y');
+        $('#iamm_access_users').inputCheckbox('value', ':all');
+        $('#iamm_access_groups').inputCheckbox('value', ':all');
+      }
+      else
+      {
+        tmp=$.parseJSON(items);
+
+        $('#iamm_label').inputText('value', tmp.label);
+        $('#iamm_url').inputText('value', tmp.url);
+        $('#iamm_icon').inputList('value', tmp.icon);
+        $('#iamm_mode').inputList('value', tmp.mode);
+        $('#iamm_visible').inputRadio('value', tmp.visible);
+        $('#iamm_access_users').inputCheckbox('value', '', tmp.accessUsers);
+        $('#iamm_access_users').inputCheckbox('value', ':invert');
+        $('#iamm_access_groups').inputCheckbox('value', '', tmp.accessGroups);
+        $('#iamm_access_groups').inputCheckbox('value', ':invert');
+      }
+    },
+
+  /**
+   * update order on server
+   */
+  doUpdateOrder = function ()
+    {
+      var datas={
+            links:[]
+          },
+          order=0;
+
+      $('#iList li.connectedSortable').each(
+        function ()
+        {
+          datas.links.push(
+            {
+              id:$(this).attr('linkId'),
+              order:order
+            }
+          );
+          order++;
+        }
+      );
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.links.order", token:properties.token, datas:datas },
+          success:
+            function(msg)
+            {
+              displayProcessing(false);
+
+              returned=msg.split('!');
+
+              if(returned[0]=='OK')
+              {
+                $('#iListOrderButtons').css("display", 'none');
+              }
+              else
+              {
+                $('#'+returned[0]).addClass('error');
+                alert(returned[1]);
+              }
+            }
+        }
+      );
+    },
+
+  /**
+   * update values on server
+   */
+  doUpdate = function ()
+    {
+      displayProcessing(true);
+
+      // build datas
+      var datas = {
+        label:$('#iamm_label').inputText('value'),
+        url:$('#iamm_url').inputText('value'),
+        icon:$('#iamm_icon').inputList('value'),
+        mode:$('#iamm_mode').inputList('value'),
+        visible:$('#iamm_visible').inputRadio('value'),
+        accessUsers:$('#iamm_access_users').inputCheckbox('value'),
+        accessGroups:$('#iamm_access_groups').inputCheckbox('value')
+      };
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.links.set", id:properties.id, token:properties.token, datas:datas },
+          success:
+            function(msg)
+            {
+              displayProcessing(false);
+
+              if(msg.match(/^[0-9]+$/i)!=null)
+              {
+                // result Ok ! => close the dialog box and reload the list
+                $('#iDialogEdit').dialog("close");
+                load();
+              }
+              else
+              {
+                returned=msg.split('!');
+                $('#'+returned[0]).addClass('error');
+                alert(returned[1]);
+              }
+            }
+        }
+      );
+    },
+
+  /**
+   * display or hide the processing flower
+   */
+  displayProcessing = function (visible)
+    {
+      if(visible)
+      {
+        $('#iBDProcessing').css("display", "block");
+      }
+      else
+      {
+        $('#iBDProcessing').css("display", "none");
+      }
+    },
+
+  /**
+   * initialize the object
+   */
+  init = function ()
+  {
+    var buttons={};
+
+    buttons[translatedKeys.g002_ok]=function()
+      {
+        if(checkValidity()) doUpdate();
+      };
+    buttons[translatedKeys.g002_cancel]=function()
+      {
+        $('#iDialogEdit').dialog("close");
+      };
+
+    $('#iDialogEdit')
+      .dialog(
+        {
+          autoOpen:false,
+          width:600,
+          height:400,
+          modal: true,
+          dialogClass: 'gcBgTabSheet gcBorder',
+          title: '',
+          buttons:buttons
+        }
+      )
+      .bind('dialogopen', function ()
+        {
+          if(properties.id!='')
+          {
+            displayProcessing(true);
+
+            $.ajax(
+              {
+                type: "POST",
+                url: options.ajaxUrl,
+                async: true,
+                data: { ajaxfct:"admin.links.get", id:properties.id },
+                success:
+                  function(msg)
+                  {
+                    updateDialog(msg);
+                    displayProcessing(false);
+                  }
+              }
+            );
+          }
+          else
+          {
+            updateDialog('');
+          }
+        }
+      );
+
+    $('#iamm_label').inputText(
+      {
+        displayChar:50,
+        maxChar:50
+      }
+    );
+
+    $('#iamm_url').inputText(
+      {
+        displayChar:50,
+        maxChar:255
+      }
+    );
+
+    $('#iamm_icon').inputList(
+      {
+        listMaxWidth:250,
+        colsWidth:[22,200],
+        colsCss:['iconColImg','iconColText'],
+        popupMode:'mouseout'
+      }
+    );
+
+    $('#iamm_mode').inputList({popupMode:'mouseout'});
+
+    $('#iamm_visible').inputRadio();
+
+    $('#iamm_access_users').inputCheckbox({returnMode:'notSelected'});
+    $('#iamm_access_groups').inputCheckbox({returnMode:'notSelected'});
+
+    load();
+  };
+
+  $.extend(options, opt);
+  $.extend(translatedKeys, keys);
+
+  this.load = function () { load(); };
+  this.edit = function (linkId) { edit(linkId); };
+  this.remove = function (linkId) { remove(linkId); };
+  this.doUpdateOrder = function () { doUpdateOrder(); };
+
+  init();
+}
+
+
Index: /extensions/AMenuManager/js/amm_linksConfig.js
===================================================================
--- /extensions/AMenuManager/js/amm_linksConfig.js	(revision 8962)
+++ /extensions/AMenuManager/js/amm_linksConfig.js	(revision 8962)
@@ -0,0 +1,129 @@
+/**
+ * userLinksConfig
+ *
+ * release 1.0.0
+ */
+function userLinksConfig(opt, keys, token, initValues)
+{
+  var options = {
+          ajaxUrl:'plugins/AMenuManager/amm_ajax.php'
+        },
+      translatedKeys= {
+        },
+      properties = {
+          token:token
+        },
+
+
+  /**
+   * submit config
+   */
+  submit = function ()
+    {
+      if(!checkValidity()) return(false);
+
+      displayProcessing(true);
+
+      // build datas
+      var datas = {
+        title:[],
+        showIcons:$('#iamm_links_show_icons').inputRadio('value')
+      };
+
+      list=$('#iamm_links_title').inputText('languagesValues');
+      for(var id in list)
+      {
+        datas.title.push({id:id, value:list[id]});
+      }
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.links.setConfig", token:properties.token, datas:datas },
+          success:
+            function(msg)
+            {
+              displayProcessing(false);
+
+              returned=msg.split('!');
+
+              if(returned[0]=='OK')
+              {
+                $('#iConfigState')
+                  .html(returned[1])
+                  .removeClass('errors')
+                  .addClass('infos')
+                  .css('display', 'block');
+              }
+              else
+              {
+                $('#iConfigState')
+                  .html(returned[1])
+                  .removeClass('infos')
+                  .addClass('errors')
+                  .css('display', 'block');
+              }
+            }
+        }
+      );
+    },
+
+  /**
+   * check validity of form
+   */
+  checkValidity = function ()
+    {
+      $('.error').removeClass('error');
+      ok=true;
+      return(ok);
+    },
+
+  /**
+   * display or hide the processing flower
+   */
+  displayProcessing = function (visible)
+    {
+      if(visible)
+      {
+        $('#iBDProcessing').css("display", "block");
+      }
+      else
+      {
+        $('#iBDProcessing').css("display", "none");
+      }
+    },
+
+  /**
+   * initialize the object
+   */
+  init = function (initValues)
+  {
+    $('#iamm_links_show_icons').inputRadio();
+    $('#iamm_links_show_icons').inputRadio('value', initValues.showIcons);
+
+    $('#islang').inputList({popupMode:'mouseout'});
+
+    $('#iamm_links_title').inputText(
+      {
+        languages:initValues.langs,
+        languagesValues:initValues.titles,
+        currentLanguage:initValues.userLang,
+        languageSelector:'islang',
+        displayChar:40
+      }
+    );
+
+    $('#islang').inputList('value', initValues.userLang);
+  };
+
+  $.extend(options, opt);
+  $.extend(translatedKeys, keys);
+
+  this.submit = function () { submit(); };
+
+  init(initValues);
+}
+
+
Index: /extensions/AMenuManager/js/amm_personalisedBlocks.js
===================================================================
--- /extensions/AMenuManager/js/amm_personalisedBlocks.js	(revision 8962)
+++ /extensions/AMenuManager/js/amm_personalisedBlocks.js	(revision 8962)
@@ -0,0 +1,324 @@
+/**
+ * userPersonnalisedBlockManage
+ *
+ * release 1.0.0
+ */
+function userPersonnalisedBlockManage(opt, keys, token, initValues)
+{
+  var options = {
+          ajaxUrl:'plugins/AMenuManager/amm_ajax.php'
+        },
+      translatedKeys= {
+          g002_ok:'g002_ok',
+          g002_cancel:'g002_cancel',
+          g002_loading: 'g002_loading',
+          g002_editofpersonalised : 'g002_editofpersonalised',
+          g002_createofpersonalised : 'g002_createofpersonalised'
+        },
+      properties = {
+          id:'',
+          token:token
+        },
+
+  /**
+   * load blocks list
+   */
+  load = function ()
+    {
+      $('#iList').html("<br>"+translatedKeys.g002_loading+"<br><img src='./plugins/GrumPluginClasses/icons/processing.gif'>");
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.blocks.list" },
+          success:
+            function(msg)
+            {
+              $("#iList").html(msg);
+            }
+        }
+      );
+    },
+
+  /**
+   * edit or create a new block
+   *
+   * @param String blockId : if empty, assume to create a new block
+   */
+  edit = function (blockId)
+    {
+      properties.id=blockId;
+
+      $('#iDialogEdit')
+        .dialog('option', 'title', (blockId=='')?translatedKeys.g002_createofpersonalised:translatedKeys.g002_editofpersonalised)
+        .dialog("open");
+    },
+
+  /**
+   * remove a block
+   *
+   * @param String blockId : block to remove
+   */
+  remove = function (blockId)
+    {
+      properties.id=blockId;
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.blocks.delete", id:properties.id, token:properties.token },
+          success:
+            function(msg)
+            {
+              load();
+            }
+        }
+      );
+    },
+
+  /**
+   * check validity of form
+   */
+  checkValidity = function ()
+    {
+      $('.error').removeClass('error');
+      ok=true;
+/*
+      if($('#iamm_label').inputText('value')=='')
+      {
+        $('#iamm_label').inputText('isValid', false);
+        ok=false;
+      }
+
+      if($('#iamm_url').inputText('value')=='')
+      {
+        $('#iamm_url').inputText('isValid', false);
+        ok=false;
+      }
+*/
+      return(ok);
+    },
+
+
+  /**
+   * update values of the dialog box
+   *
+   * @param String items : json string ; if empty assume to reset all fields
+   *                       with default values
+   */
+  updateDialog = function (items)
+    {
+      if(items=='')
+      {
+        $('#iamm_personalised_nfo').inputText('value', '');
+        $('#iamm_personalised_title')
+          .inputText('value', '')
+          .inputText('languagesValues', {});
+        $('#iamm_personalised_content')
+          .inputText('value', '')
+          .inputText('languagesValues', {});
+        $('#iamm_personalised_visible').inputRadio('value', 'y');
+      }
+      else
+      {
+        var tmp=$.parseJSON(items),
+            titles={},
+            contents={};
+
+        for(var lang in tmp.langs)
+        {
+          titles[lang]=tmp.langs[lang].title;
+          contents[lang]=tmp.langs[lang].content;
+        }
+
+        $('#iamm_personalised_nfo').inputText('value', tmp.nfo);
+        $('#iamm_personalised_title').inputText('languagesValues', titles);
+        $('#iamm_personalised_content').inputText('languagesValues', contents);
+        $('#iamm_personalised_visible').inputRadio('value', tmp.visible);
+      }
+    },
+
+  /**
+   * update values on server
+   */
+  doUpdate = function ()
+    {
+      displayProcessing(true);
+
+      // build datas
+      var langs=[],
+          titles=$('#iamm_personalised_content').inputText('languagesValues'),
+          contents=$('#iamm_personalised_title').inputText('languagesValues');
+
+      for(var lang in titles)
+      {
+        langs.push(
+          {
+            lang:lang,
+            title:titles[lang],
+            content:contents[lang]
+          }
+        );
+      }
+
+
+
+
+      var datas = {
+        nfo:$('#iamm_personalised_nfo').inputText('value'),
+        visible:$('#iamm_personalised_visible').inputRadio('value'),
+        langs:langs
+      };
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.blocks.set", id:properties.id, token:properties.token, datas:datas },
+          success:
+            function(msg)
+            {
+              displayProcessing(false);
+
+              if(msg.match(/^[0-9]+$/i)!=null)
+              {
+                // result Ok ! => close the dialog box and reload the list
+                $('#iDialogEdit').dialog("close");
+                load();
+              }
+              else
+              {
+                returned=msg.split('!');
+                $('#'+returned[0]).addClass('error');
+                alert(returned[1]);
+              }
+            }
+        }
+      );
+    },
+
+  /**
+   * display or hide the processing flower
+   */
+  displayProcessing = function (visible)
+    {
+      if(visible)
+      {
+        $('#iBDProcessing').css("display", "block");
+      }
+      else
+      {
+        $('#iBDProcessing').css("display", "none");
+      }
+    },
+
+  /**
+   * initialize the object
+   */
+  init = function (initValues)
+  {
+    var buttons={};
+
+    buttons[translatedKeys.g002_ok]=function()
+      {
+        if(checkValidity()) doUpdate();
+      };
+    buttons[translatedKeys.g002_cancel]=function()
+      {
+        $('#iDialogEdit').dialog("close");
+      };
+
+    $('#iDialogEdit')
+      .dialog(
+        {
+          autoOpen:false,
+          width:800,
+          height:480,
+          modal: true,
+          dialogClass: 'gcBgTabSheet gcBorder',
+          title: '',
+          buttons:buttons
+        }
+      )
+      .bind('dialogopen', function ()
+        {
+          if(properties.id!='')
+          {
+            displayProcessing(true);
+
+            $.ajax(
+              {
+                type: "POST",
+                url: options.ajaxUrl,
+                async: true,
+                data: { ajaxfct:"admin.blocks.get", id:properties.id },
+                success:
+                  function(msg)
+                  {
+                    updateDialog(msg);
+                    displayProcessing(false);
+                  }
+              }
+            );
+          }
+          else
+          {
+            updateDialog('');
+          }
+        }
+      );
+
+    $('#islang').inputList({popupMode:'mouseout'});
+
+
+    $('#iamm_personalised_nfo').inputText(
+      {
+        displayChar:75,
+        maxChar:255
+      }
+    );
+
+    $('#iamm_personalised_title').inputText(
+      {
+        displayChar:75,
+        maxChar:255,
+        languages:initValues.langs,
+        currentLanguage:initValues.userLang,
+        languageSelector:'islang'
+      }
+    );
+
+    $('#iamm_personalised_content').inputText(
+      {
+        multilines:true,
+        displayChar:70,
+        numRows:13,
+        languages:initValues.langs,
+        currentLanguage:initValues.userLang,
+        languageSelector:'islang'
+      }
+    );
+
+    $('#islang').inputList('value', initValues.userLang);
+
+    $('#iamm_personalised_visible').inputRadio();
+
+    load();
+  };
+
+  $.extend(options, opt);
+  $.extend(translatedKeys, keys);
+
+  this.load = function () { load(); };
+  this.edit = function (linkId) { edit(linkId); };
+  this.remove = function (linkId) { remove(linkId); };
+
+  init(initValues);
+}
+
+
